[Android] build: force ndk11
Thomas Guillem
git at videolan.org
Mon Apr 4 18:00:39 CEST 2016
vlc-android | branch: master | Thomas Guillem <thomas at gllm.fr> | Mon Apr 4 17:51:43 2016 +0200| [504783883dd977495f9d324babebdbc5767d474c] | committer: Thomas Guillem
build: force ndk11
> https://code.videolan.org/videolan/vlc-android/commit/504783883dd977495f9d324babebdbc5767d474c
---
compile-libvlc.sh | 25 +++++--------------------
1 file changed, 5 insertions(+), 20 deletions(-)
diff --git a/compile-libvlc.sh b/compile-libvlc.sh
index 7ce3f3d..c32e086 100755
--- a/compile-libvlc.sh
+++ b/compile-libvlc.sh
@@ -281,34 +281,19 @@ else
fi
# try to detect NDK version
-REL=$(grep -o '^r[0-9]*.*' $ANDROID_NDK/RELEASE.TXT 2>/dev/null|cut -b2-)
+GCCVER=4.9
+REL=$(grep -o '^Pkg.Revision.*[0-9]*.*' $ANDROID_NDK/source.properties |cut -d " " -f 3 | cut -d "." -f 1)
case "$REL" in
- 10*)
+ 11*)
if [ "${HAVE_64}" = 1 ];then
ANDROID_API=android-21
- GCCVER=4.9
else
ANDROID_API=android-9
- GCCVER=4.8
fi
;;
*)
- REL2=$(grep -o '^Pkg.Revision.*[0-9]*.*' $ANDROID_NDK/source.properties |cut -d " " -f 3 | cut -d "." -f 1)
- case "$REL2" in
- 11*)
- if [ "${HAVE_64}" = 1 ];then
- ANDROID_API=android-21
- GCCVER=4.9
- else
- ANDROID_API=android-9
- GCCVER=4.9
- fi
- ;;
- *)
- echo "You need the NDKv10 or later"
- exit 1
- ;;
- esac
+ echo "You need the NDKv11 or later"
+ exit 1
;;
esac
More information about the Android
mailing list